OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKXSBase
Interface

# Interface_FileParameter Class Reference

Auxiliary class to store a litteral parameter in a file
intermediate directory or in an UndefinedContent : a reference
type Parameter detains an Integer which is used to address a
record in the directory.
FileParameter is intended to be stored in a ParamSet : hence
memory management is performed by ParamSet, which calls Clear
to work, while the Destructor (see Destroy) does nothing.
Also a FileParameter can be read for consultation only, not to
be read from a Structure to be included into another one.
.

`#include <Interface_FileParameter.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Interface_FileParameter ()
Standard_EXPORT void | Init (const TCollection_AsciiString &val, const Interface_ParamType typ)
| Fills fields (with Entity Number set to zero) .
Standard_EXPORT void | Init (const Standard_CString val, const Interface_ParamType typ)
| Same as above, but builds the Value from a CString .
Standard_EXPORT Standard_CString | CValue () const
| Same as above, but as a CString (for immediate exploitation) was C++ : return const .
Standard_EXPORT Interface_ParamType | ParamType () const
| Returns the type of the parameter .
Standard_EXPORT void | SetEntityNumber (const Standard_Integer num)
| Allows to set a reference to an Entity in a numbered list .
Standard_EXPORT Standard_Integer | EntityNumber () const
| Returns value set by SetEntityNumber .
Standard_EXPORT void | Clear ()
| Clears stored data : frees memory taken for the String Value .
Standard_EXPORT void | Destroy ()
| Destructor. Does nothing because Memory is managed by ParamSet .
| ~Interface_FileParameter ()
## Private Attributes
Interface_ParamType | thetype
Standard_PCharacter | theval
Standard_Integer | thenum

## Constructor & Destructor Documentation

Standard_EXPORT Interface_FileParameter::Interface_FileParameter | ( |  | ) |

Interface_FileParameter::~Interface_FileParameter | ( |  | ) | `[inline]`

## Member Function Documentation

Standard_EXPORT void Interface_FileParameter::Clear | ( |  | ) |

Standard_EXPORT Standard_CString Interface_FileParameter::CValue | ( |  | ) | const

Standard_EXPORT void Interface_FileParameter::Destroy | ( |  | ) |

Standard_EXPORT Standard_Integer Interface_FileParameter::EntityNumber | ( |  | ) | const

Standard_EXPORT void Interface_FileParameter::Init | ( | const Standard_CString | val,
|  | const Interface_ParamType | typ
| ) |

Standard_EXPORT void Interface_FileParameter::Init | ( | const TCollection_AsciiString & | val,
|  | const Interface_ParamType | typ
| ) |

void Interface_FileParameter::operator delete | ( | void * | anAddress | ) | `[inline]`

void* Interface_FileParameter::operator new | ( | size_t | size | ) | `[inline]`

void* Interface_FileParameter::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT Interface_ParamType Interface_FileParameter::ParamType | ( |  | ) | const

Standard_EXPORT void Interface_FileParameter::SetEntityNumber | ( | const Standard_Integer | num | ) |

## Field Documentation

Standard_Integer Interface_FileParameter::thenum`[private]`

Interface_ParamType Interface_FileParameter::thetype`[private]`

Standard_PCharacter Interface_FileParameter::theval`[private]`

The documentation for this class was generated from the following file:

- Interface_FileParameter.hxx